<?php

if (!defined('WPINC')) {
	die;
}

// check if NotificationX plugin is active
function csmm_is_notificationx_really_setup_and_active() {
  if (!function_exists('is_plugin_active') || !function_exists('get_plugin_data')) {
   require_once ABSPATH . 'wp-admin/includes/plugin.php';
  }

  if (is_plugin_active('notificationx/notificationx.php') && version_compare(NOTIFICATIONX_VERSION,'1.0.3','>=')) {
    return true;
  } else {
    return false;
  }
} // is_notificationx_really_setup_and_active


// auto download / install / activate MailOptin plugin
function csmm_install_notificationx() {
    if (false === current_user_can('administrator')) {
      wp_die('Sorry, you have to be an admin to run this action.');
    }

    $plugin_slug = 'notificationx/notificationx.php';
    $plugin_zip = 'https://downloads.wordpress.org/plugin/notificationx.latest-stable.zip';

    @include_once ABSPATH . 'wp-admin/includes/plugin.php';
    @include_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
    @include_once ABSPATH . 'wp-admin/includes/plugin-install.php';
    @include_once ABSPATH . 'wp-admin/includes/file.php';
    @include_once ABSPATH . 'wp-admin/includes/misc.php';
		echo '<style>
		body{
			font-family: sans-serif;
			font-size: 14px;
			line-height: 1.5;
			color: #444;
		}
		</style>';

    echo '<div style="margin: 20px; color:#444;">';
    echo 'If things are not done in a minute <a target="_parent" href="' . admin_url('plugin-install.php?s=notificationx&tab=search&type=term') .'">install the plugin manually via Plugins page</a><br><br>';
    echo 'Starting ...<br><br>';

		wp_cache_flush();
    $upgrader = new Plugin_Upgrader();
    echo 'Check if NotificationX is already installed ... <br />';
    if (csmm_is_plugin_installed($plugin_slug)) {
      echo 'NotificationX is already installed! <br /><br />Making sure it\'s the latest version.<br />';
      $upgrader->upgrade($plugin_slug);
      $installed = true;
    } else {
      echo 'Installing NotificationX.<br />';
      $installed = $upgrader->install($plugin_zip);
    }
    wp_cache_flush();

    if (!is_wp_error($installed) && $installed) {
      echo 'Activating NotificationX.<br />';
      $activate = activate_plugin($plugin_slug);

      if (is_null($activate)) {
        echo 'NotificationX Activated.<br />';

        echo '<script>setTimeout(function() { top.location = "options-general.php?page=maintenance_mode_options"; }, 1000);</script>';
        echo '<br>If you are not redirected in a few seconds - <a href="options-general.php?page=maintenance_mode_options" target="_parent">click here</a>.';
      }
    } else {
      echo 'Could not install NotificationX. You\'ll have to <a target="_parent" href="' . admin_url('plugin-install.php?s=notificationx&tab=search&type=term') .'">download and install manually</a>.';
    }

    echo '</div>';
  } // install_notificationx